PDA

View Full Version : RE:Perl 5.8 on SME6 [was Re: Is it time to recall6? Anyone get it working onSuse orRH 7.2?]



Stefan Kuhnert
2005-04-02, 08:40
Hello Micheal

you are the best. I have downloaded your tarball and followed your
instructions. The slimserver v6 ist now running very well on my system.
Thanks for your work. This should be an official download from the
slimdevices website, to help out users like me.

I have only one error message during the startup of slimserver. He is
telling me that XML::Parser is not installed. This seems to be no
problem, because everything is working for me so far.

Best regards and thanks a lot

Stefan

mherger
2005-04-03, 23:00
Hi Stephan

> you are the best.

I seriously doubt this :-). But I'm still glad it worked for you. You're
the guy running eisfair, aren't you? This is intersting to know. So there
are at least two distributions which might work.

> I have downloaded your tarball and followed your instructions. The
> slimserver v6 ist now running very well on my system.
> Thanks for your work. This should be an official download from the
> slimdevices website, to help out users like me.
>
> I have only one error message during the startup of slimserver. He is
> telling me that XML::Parser is not installed. This seems to be no
> problem, because everything is working for me so far.

This is strange as it is included with SlimServer
(/usr/local/slimserver/CPAN/XML). Do you use the ShoutcastBrowser plugin?

--

Michael

-----------------------------------------------------------
Help translate SlimServer by using the
StringEditor Plugin (http://www.herger.net/slim/)

Stefan Kuhnert
2005-04-04, 03:37
Hi Michael,

Yes, I'm the the guy with the eisfair system. :-)

I have the shoutcast plugin enabled, because I use this sometimes. I
have seen, that this is included. I have disabled the shoutcast plugin
and restarted the server but the message appears again. I get this message:

The following modules failed to load: XML::Parser

To download and compile them, please run:
/usr/local/slimserver/Bin/build-perl-modules.pl

Best Regards

Stefan

Michael Herger schrieb:
> Hi Stephan
>
>> you are the best.
>
>
> I seriously doubt this :-). But I'm still glad it worked for you.
> You're the guy running eisfair, aren't you? This is intersting to know.
> So there are at least two distributions which might work.
>
>> I have downloaded your tarball and followed your instructions. The
>> slimserver v6 ist now running very well on my system.
>> Thanks for your work. This should be an official download from the
>> slimdevices website, to help out users like me.
>>
>> I have only one error message during the startup of slimserver. He is
>> telling me that XML::Parser is not installed. This seems to be no
>> problem, because everything is working for me so far.
>
>
> This is strange as it is included with SlimServer
> (/usr/local/slimserver/CPAN/XML). Do you use the ShoutcastBrowser plugin?
>

mherger
2005-04-04, 04:03
On Mon, 04 Apr 2005 12:37:56 +0200, Stefan Kuhnert <stefankuhnert (AT) web (DOT) de>
wrote:

> Hi Michael,
>
> Yes, I'm the the guy with the eisfair system. :-)

I wrote "SME6" and the first to give it a try is using something
completely different... You must be a brave guy. Or rather desperate :-).

Do you know whether eisfair is based on another distribution (as is SME)
or has it been build from scratch?

> I have the shoutcast plugin enabled, because I use this sometimes. I

Does it still work, even though slimserver complains about XML::Parser?

Michael

> have seen, that this is included. I have disabled the shoutcast plugin
> and restarted the server but the message appears again. I get this
> message:
>
> The following modules failed to load: XML::Parser
>
> To download and compile them, please run:
> /usr/local/slimserver/Bin/build-perl-modules.pl
>
> Best Regards
>
> Stefan
>
> Michael Herger schrieb:
>> Hi Stephan
>>
>>> you are the best.
>> I seriously doubt this :-). But I'm still glad it worked for you.
>> You're the guy running eisfair, aren't you? This is intersting to
>> know. So there are at least two distributions which might work.
>>
>>> I have downloaded your tarball and followed your instructions. The
>>> slimserver v6 ist now running very well on my system.
>>> Thanks for your work. This should be an official download from the
>>> slimdevices website, to help out users like me.
>>>
>>> I have only one error message during the startup of slimserver. He is
>>> telling me that XML::Parser is not installed. This seems to be no
>>> problem, because everything is working for me so far.
>> This is strange as it is included with SlimServer
>> (/usr/local/slimserver/CPAN/XML). Do you use the ShoutcastBrowser
>> plugin?
>>
>

mherger
2005-04-04, 05:54
Stefan

[..]
> I have the shoutcast plugin enabled, because I use this sometimes. I
> have seen, that this is included. I have disabled the shoutcast plugin
> and restarted the server but the message appears again. I get this
> message:
>
> The following modules failed to load: XML::Parser

One idea: could you go to SlimServer's CPAN/arch/5.8 folder and do
ln -s i386-linux-thread-multi i386-linux

Then restart the slimserver. Does it still complain about XML::Parser?

>
> To download and compile them, please run:
> /usr/local/slimserver/Bin/build-perl-modules.pl
>
> Best Regards
>
> Stefan
>
> Michael Herger schrieb:
>> Hi Stephan
>>
>>> you are the best.
>> I seriously doubt this :-). But I'm still glad it worked for you.
>> You're the guy running eisfair, aren't you? This is intersting to
>> know. So there are at least two distributions which might work.
>>
>>> I have downloaded your tarball and followed your instructions. The
>>> slimserver v6 ist now running very well on my system.
>>> Thanks for your work. This should be an official download from the
>>> slimdevices website, to help out users like me.
>>>
>>> I have only one error message during the startup of slimserver. He is
>>> telling me that XML::Parser is not installed. This seems to be no
>>> problem, because everything is working for me so far.
>> This is strange as it is included with SlimServer
>> (/usr/local/slimserver/CPAN/XML). Do you use the ShoutcastBrowser
>> plugin?
>>
>

Stefan Kuhnert
2005-04-04, 08:03
Hi Micheal,

it was a try for me and I was surprised that it worked. I want to let
you know about it.
The server works, even though I get the message about xml::parser.

the eisfair documentation only says that it it is based on glibc 2.2 and
kernel 2.4.x. I really don't know, if it is build from scratch or not.

I'm very happy with it now.

Stefan

Michael Herger schrieb:
> On Mon, 04 Apr 2005 12:37:56 +0200, Stefan Kuhnert
> <stefankuhnert (AT) web (DOT) de> wrote:
>
>> Hi Michael,
>>
>> Yes, I'm the the guy with the eisfair system. :-)
>
>
> I wrote "SME6" and the first to give it a try is using something
> completely different... You must be a brave guy. Or rather desperate :-).
>
> Do you know whether eisfair is based on another distribution (as is
> SME) or has it been build from scratch?
>
>> I have the shoutcast plugin enabled, because I use this sometimes. I
>
>
> Does it still work, even though slimserver complains about XML::Parser?
>
> Michael
>
>> have seen, that this is included. I have disabled the shoutcast
>> plugin and restarted the server but the message appears again. I get
>> this message:
>>
>> The following modules failed to load: XML::Parser
>>
>> To download and compile them, please run:
>> /usr/local/slimserver/Bin/build-perl-modules.pl
>>
>> Best Regards
>>
>> Stefan
>>
>> Michael Herger schrieb:
>>
>>> Hi Stephan
>>>
>>>> you are the best.
>>>
>>> I seriously doubt this :-). But I'm still glad it worked for you.
>>> You're the guy running eisfair, aren't you? This is intersting to
>>> know. So there are at least two distributions which might work.
>>>
>>>> I have downloaded your tarball and followed your instructions. The
>>>> slimserver v6 ist now running very well on my system.
>>>> Thanks for your work. This should be an official download from the
>>>> slimdevices website, to help out users like me.
>>>>
>>>> I have only one error message during the startup of slimserver. He
>>>> is telling me that XML::Parser is not installed. This seems to be
>>>> no problem, because everything is working for me so far.
>>>
>>> This is strange as it is included with SlimServer
>>> (/usr/local/slimserver/CPAN/XML). Do you use the ShoutcastBrowser
>>> plugin?
>>>
>>

Stefan Kuhnert
2005-04-04, 08:11
Hi Micheal

If done what you mentioned. But now I get this error message

/usr/local/bin/perl5.8.6: relocation error:
/usr/local/slimserver/CPAN/arch/5.8/i386-linux/auto/Time/HiRes/HiRes.so:
undefined symbol: Perl_Tstack_sp_ptr

The server is not starting anymore. It was definitly better before. How
can I go back??

Stefan

Michael Herger schrieb:
> Stefan
>
> [..]
>
>> I have the shoutcast plugin enabled, because I use this sometimes. I
>> have seen, that this is included. I have disabled the shoutcast
>> plugin and restarted the server but the message appears again. I get
>> this message:
>>
>> The following modules failed to load: XML::Parser
>
>
> One idea: could you go to SlimServer's CPAN/arch/5.8 folder and do
> ln -s i386-linux-thread-multi i386-linux
>
> Then restart the slimserver. Does it still complain about XML::Parser?
>
>>
>> To download and compile them, please run:
>> /usr/local/slimserver/Bin/build-perl-modules.pl
>>
>> Best Regards
>>
>> Stefan
>>
>> Michael Herger schrieb:
>>
>>> Hi Stephan
>>>
>>>> you are the best.
>>>
>>> I seriously doubt this :-). But I'm still glad it worked for you.
>>> You're the guy running eisfair, aren't you? This is intersting to
>>> know. So there are at least two distributions which might work.
>>>
>>>> I have downloaded your tarball and followed your instructions. The
>>>> slimserver v6 ist now running very well on my system.
>>>> Thanks for your work. This should be an official download from the
>>>> slimdevices website, to help out users like me.
>>>>
>>>> I have only one error message during the startup of slimserver. He
>>>> is telling me that XML::Parser is not installed. This seems to be
>>>> no problem, because everything is working for me so far.
>>>
>>> This is strange as it is included with SlimServer
>>> (/usr/local/slimserver/CPAN/XML). Do you use the ShoutcastBrowser
>>> plugin?
>>>
>>

Stefan Kuhnert
2005-04-04, 08:14
Ok, deleted the link and the server is running as before. With the
message, but running :-)

Stefan

Michael Herger schrieb:
> Stefan
>
> [..]
>
>> I have the shoutcast plugin enabled, because I use this sometimes. I
>> have seen, that this is included. I have disabled the shoutcast
>> plugin and restarted the server but the message appears again. I get
>> this message:
>>
>> The following modules failed to load: XML::Parser
>
>
> One idea: could you go to SlimServer's CPAN/arch/5.8 folder and do
> ln -s i386-linux-thread-multi i386-linux
>
> Then restart the slimserver. Does it still complain about XML::Parser?
>
>>
>> To download and compile them, please run:
>> /usr/local/slimserver/Bin/build-perl-modules.pl
>>
>> Best Regards
>>
>> Stefan
>>
>> Michael Herger schrieb:
>>
>>> Hi Stephan
>>>
>>>> you are the best.
>>>
>>> I seriously doubt this :-). But I'm still glad it worked for you.
>>> You're the guy running eisfair, aren't you? This is intersting to
>>> know. So there are at least two distributions which might work.
>>>
>>>> I have downloaded your tarball and followed your instructions. The
>>>> slimserver v6 ist now running very well on my system.
>>>> Thanks for your work. This should be an official download from the
>>>> slimdevices website, to help out users like me.
>>>>
>>>> I have only one error message during the startup of slimserver. He
>>>> is telling me that XML::Parser is not installed. This seems to be
>>>> no problem, because everything is working for me so far.
>>>
>>> This is strange as it is included with SlimServer
>>> (/usr/local/slimserver/CPAN/XML). Do you use the ShoutcastBrowser
>>> plugin?
>>>
>>

mherger
2005-04-04, 11:44
On Mon, 04 Apr 2005 17:14:07 +0200, Stefan Kuhnert <stefankuhnert (AT) web (DOT) de>
wrote:

> Ok, deleted the link and the server is running as before. With the
> message, but running :-)

Ok, was just an idea...

>
> Michael Herger schrieb:
>> Stefan
>> [..]
>>
>>> I have the shoutcast plugin enabled, because I use this sometimes. I
>>> have seen, that this is included. I have disabled the shoutcast
>>> plugin and restarted the server but the message appears again. I get
>>> this message:
>>>
>>> The following modules failed to load: XML::Parser
>> One idea: could you go to SlimServer's CPAN/arch/5.8 folder and do
>> ln -s i386-linux-thread-multi i386-linux
>> Then restart the slimserver. Does it still complain about XML::Parser?
>>
>>>
>>> To download and compile them, please run:
>>> /usr/local/slimserver/Bin/build-perl-modules.pl
>>>
>>> Best Regards
>>>
>>> Stefan
>>>
>>> Michael Herger schrieb:
>>>
>>>> Hi Stephan
>>>>
>>>>> you are the best.
>>>>
>>>> I seriously doubt this :-). But I'm still glad it worked for you.
>>>> You're the guy running eisfair, aren't you? This is intersting to
>>>> know. So there are at least two distributions which might work.
>>>>
>>>>> I have downloaded your tarball and followed your instructions. The
>>>>> slimserver v6 ist now running very well on my system.
>>>>> Thanks for your work. This should be an official download from the
>>>>> slimdevices website, to help out users like me.
>>>>>
>>>>> I have only one error message during the startup of slimserver. He
>>>>> is telling me that XML::Parser is not installed. This seems to be
>>>>> no problem, because everything is working for me so far.
>>>>
>>>> This is strange as it is included with SlimServer
>>>> (/usr/local/slimserver/CPAN/XML). Do you use the ShoutcastBrowser
>>>> plugin?
>>>>
>>>

Stefan Kuhnert
2005-04-04, 12:34
ideas are always good, even if they don't work

Michael Herger schrieb:
> On Mon, 04 Apr 2005 17:14:07 +0200, Stefan Kuhnert
> <stefankuhnert (AT) web (DOT) de> wrote:
>
>> Ok, deleted the link and the server is running as before. With the
>> message, but running :-)
>
>
> Ok, was just an idea...
>
>>
>> Michael Herger schrieb:
>>
>>> Stefan
>>> [..]
>>>
>>>> I have the shoutcast plugin enabled, because I use this sometimes.
>>>> I have seen, that this is included. I have disabled the shoutcast
>>>> plugin and restarted the server but the message appears again. I
>>>> get this message:
>>>>
>>>> The following modules failed to load: XML::Parser
>>>
>>> One idea: could you go to SlimServer's CPAN/arch/5.8 folder and do
>>> ln -s i386-linux-thread-multi i386-linux
>>> Then restart the slimserver. Does it still complain about XML::Parser?
>>>
>>>>
>>>> To download and compile them, please run:
>>>> /usr/local/slimserver/Bin/build-perl-modules.pl
>>>>
>>>> Best Regards
>>>>
>>>> Stefan
>>>>
>>>> Michael Herger schrieb:
>>>>
>>>>> Hi Stephan
>>>>>
>>>>>> you are the best.
>>>>>
>>>>>
>>>>> I seriously doubt this :-). But I'm still glad it worked for
>>>>> you. You're the guy running eisfair, aren't you? This is
>>>>> intersting to know. So there are at least two distributions
>>>>> which might work.
>>>>>
>>>>>> I have downloaded your tarball and followed your instructions.
>>>>>> The slimserver v6 ist now running very well on my system.
>>>>>> Thanks for your work. This should be an official download from
>>>>>> the slimdevices website, to help out users like me.
>>>>>>
>>>>>> I have only one error message during the startup of slimserver.
>>>>>> He is telling me that XML::Parser is not installed. This seems
>>>>>> to be no problem, because everything is working for me so far.
>>>>>
>>>>>
>>>>> This is strange as it is included with SlimServer
>>>>> (/usr/local/slimserver/CPAN/XML). Do you use the ShoutcastBrowser
>>>>> plugin?
>>>>>
>>>>

Richard Elen
2005-04-04, 17:06
Stefan Kuhnert wrote:
> ...I get this message:
>
> The following modules failed to load: XML::Parser
>
> To download and compile them, please run:
> /usr/local/slimserver/Bin/build-perl-modules.pl

I had some trouble with SS6.x under perl 5.6.1, namely apparently
missing modules that I couldn't build because the build failed due to
missing some other thing... ; so just out of interest and to avoid
dependency hell, I tried Michael's method on an RH7.2 system, and perl
5.8.6 certainly came up. I now have a running slimserver 6.x, but I get
the same error message as Stefan. I wonder if some perl aspect is
hard-coded somewhere and is getting lost... however apart from that
message it is behaving, fingers crossed...

Well, in fact I still get the error message on machine startup that I
got with 5.4.x, namely:
nice: invalid priority '--user'
so I have to start it from the command line, and I would /love/ someone
to make any useful suggestions about what might be causing this, but
apart from that it's behaving :)

--Richard Elen

mherger
2005-04-05, 00:45
On Tue, 05 Apr 2005 01:06:17 +0100, Richard Elen <relen (AT) brideswell (DOT) com>
wrote:

> Stefan Kuhnert wrote:
>> ...I get this message:
>> The following modules failed to load: XML::Parser
>> To download and compile them, please run:
>> /usr/local/slimserver/Bin/build-perl-modules.pl
>
> I had some trouble with SS6.x under perl 5.6.1, namely apparently
> missing modules that I couldn't build because the build failed due to
> missing some other thing... ; so just out of interest and to avoid
> dependency hell, I tried Michael's method on an RH7.2 system, and perl
> 5.8.6 certainly came up. I now have a running slimserver 6.x, but I get
> the same error message as Stefan. I wonder if some perl aspect is
> hard-coded somewhere and is getting lost... however apart from that
> message it is behaving, fingers crossed...

The missing XML::Parser seems to be a common problem (though not for me
:-/). I got quite a few mails about it. So I dig through the slimserver
code and found the following comment:

# Force XML::Simple to use XML::Parser for speed. This is done
# here so other packages don't have to worry about it. If we
# don't have XML::Parser installed, we fall back to PurePerl.

and at another place:

#print "Compress::Zlib and XML::Parser are optional modules and are not
required to run SlimServer.\n\n";

Interestingly this message has been commented out: it would have been
printed right after the complaint about the missing module and therefore
would have helped reduce confusion.

Could Dan/Dean/Vigur or whoever noted this please confirm XML::Parser is
still optional?

> Well, in fact I still get the error message on machine startup that I
> got with 5.4.x, namely:
> nice: invalid priority '--user'
> so I have to start it from the command line, and I would /love/ someone
> to make any useful suggestions about what might be causing this, but
> apart from that it's behaving :)

How do you start the script? Do you use a wrapper script which tries to
improve performance by renicing it?

--

Michael

-----------------------------------------------------------
Help translate SlimServer by using the
StringEditor Plugin (http://www.herger.net/slim/)

Stefan Kuhnert
2005-04-05, 11:04
It's good to hear that I'm not the only one. :-)

Richard Elen schrieb:
> Stefan Kuhnert wrote:
>
>> ...I get this message:
>>
>> The following modules failed to load: XML::Parser
>>
>> To download and compile them, please run:
>> /usr/local/slimserver/Bin/build-perl-modules.pl
>
>
> I had some trouble with SS6.x under perl 5.6.1, namely apparently
> missing modules that I couldn't build because the build failed due to
> missing some other thing... ; so just out of interest and to avoid
> dependency hell, I tried Michael's method on an RH7.2 system, and perl
> 5.8.6 certainly came up. I now have a running slimserver 6.x, but I get
> the same error message as Stefan. I wonder if some perl aspect is
> hard-coded somewhere and is getting lost... however apart from that
> message it is behaving, fingers crossed...
>
> Well, in fact I still get the error message on machine startup that I
> got with 5.4.x, namely:
> nice: invalid priority '--user'
> so I have to start it from the command line, and I would /love/ someone
> to make any useful suggestions about what might be causing this, but
> apart from that it's behaving :)
>
> --Richard Elen
>
>